> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Single Schedule Payouts



## OpenAPI

````yaml openapi.json get /payout/single/schedule
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/single/schedule:
    parameters: []
    get:
      tags:
        - Payout
        - Single Schedule Payout
      summary: List Single Schedule Payouts
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: perPage
          in: query
          required: false
          example: '20'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          description: NEW, FAILED, DISPATCHED, CANCELLED
          example: NEW
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2024-07-10'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-07-10'
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"ae4-0pirYkTysT60vwF7L/K+KrwsLQk"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Tue, 02 Jul 2024 07:30:40 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: List Single Schedule Payouts - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            email:
                              type: string
                              format: email
                            amount:
                              type: integer
                            status:
                              type: string
                            charges:
                              type: integer
                            scheduleDate:
                              type: string
                              format: date-time
                            transactionId:
                              type: string
                            accountNumber:
                              type: string
                              format: utc-millisec
                            accountName:
                              type: string
                            bankName:
                              type: string
                            bankCode:
                              type: string
                              format: color
                            narration:
                              type: string
                            metadata:
                              nullable: true
                            createdAt:
                              type: string
                              format: date-time
                      page:
                        type: integer
                      perpage:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
              example:
                status: true
                data:
                  records:
                    - id: 2c694f49-115e-4d3f-9513-3f71eeba563b
                      email: emma@yahoo.com
                      amount: 300
                      status: DISPATCHED
                      charges: 20
                      scheduleDate: '2024-07-02T07:30:15.000Z'
                      transactionId: d59f2712-af22-4688-b1dd-28fb9247c435
                      accountNumber: '2394934324'
                      accountName: SIMI MICHELLE
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Testing schedule transaction
                      metadata: null
                      createdAt: '2024-07-02T07:28:23.510Z'
                    - id: f1a4ef02-21d9-4653-9037-e8c45c4d8768
                      email: emma@yahoo.com
                      amount: 300
                      status: DISPATCHED
                      charges: 20
                      scheduleDate: '2024-07-02T07:25:15.000Z'
                      transactionId: 53fdb607-8def-4cff-b07c-24d196251564
                      accountNumber: '2394934324'
                      accountName: null
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Testing schedule transaction
                      metadata: null
                      createdAt: '2024-07-02T07:22:43.501Z'
                    - id: 8660f706-69dc-4036-9bcf-5a36d332e560
                      email: null
                      amount: 600
                      status: DISPATCHED
                      charges: 20
                      scheduleDate: '2024-10-01T11:24:00.000Z'
                      transactionId: 963af4f3-80d4-4492-81a3-71d3a8dc589e
                      accountNumber: '2394934324'
                      accountName: SIMI MICHELLE
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: null
                      metadata: null
                      createdAt: '2024-01-10T11:15:07.231Z'
                    - id: 72c76142-cdce-4757-9ccf-becf50a0ed8f
                      email: null
                      amount: 300
                      status: CANCELLED
                      charges: 20
                      scheduleDate: '2024-09-30T23:15:00.000Z'
                      transactionId: null
                      accountNumber: '2394934324'
                      accountName: SIMI MICHELLE
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Another testing
                      metadata: null
                      createdAt: '2024-01-10T11:09:16.134Z'
                    - id: f2c995f7-22ea-4c15-b85d-7749d5566d49
                      email: null
                      amount: 200
                      status: CANCELLED
                      charges: 20
                      scheduleDate: '2024-10-01T10:57:00.000Z'
                      transactionId: null
                      accountNumber: '2394934324'
                      accountName: SIMI MICHELLE
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Testing from dashboard
                      metadata: null
                      createdAt: '2024-01-10T10:56:02.598Z'
                    - id: e236a790-ca07-4b66-8315-db6e47b3f69f
                      email: emma@yahoo.com
                      amount: 500
                      status: CANCELLED
                      charges: 10
                      scheduleDate: '2023-12-10T13:50:00.000Z'
                      transactionId: null
                      accountNumber: '2394934324'
                      accountName: Obagunwa Emmanuel
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Testing transaction
                      metadata: null
                      createdAt: '2023-12-05T17:15:29.009Z'
                    - id: 4a0afd65-b4dd-40d5-b3d0-cac67e8fd80b
                      email: emma@yahoo.com
                      amount: 500
                      status: CANCELLED
                      charges: 10
                      scheduleDate: '2023-12-10T13:50:00.000Z'
                      transactionId: null
                      accountNumber: '2394934324'
                      accountName: Obagunwa Emmanuel
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      narration: Testing transaction
                      metadata: null
                      createdAt: '2023-12-05T17:12:18.219Z'
                  page: 1
                  perpage: 20
                  totalRecords: 7
                  totalPages: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````